@echo OFF
rem  * *******************************************************************
rem  *               TC02EXW3.cmd - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Read an IEBPTPCH sequential file and write separate files.
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 1996
rem  *
rem  *
rem  *                     ************
rem  *                     * TC02EXW3 *
rem  *                     ********cmd*
rem  *                          *
rem  *                          *
rem  *    ************     ************       ************
rem  *    * UNWRAPD1 ******* UNWRAPC3 ********* UNWRAPD2 *
rem  *    * Note: 01 *     *          *   *   * Note: 02 *
rem  *    *******lseq*     ********cbl*   *   *******lseq*
rem  *                          *         *
rem  *                          *         *   ************
rem  *                          *         ***** UNWRAPD3 *
rem  *                          *             * Note: 03 *
rem  *                          *             *******lseq*
rem  *                     ************
rem  *                     *   EOJ    *
rem  *                     ************
rem  *
rem  *    Note 01: UNWRAPD1 is an ASCII/Text file containing multiple
rem  *             source members. Each source member is preceded by a
rem  *             -PUNCH statement.
rem  *    Note 02: UNWRAPD2 is an ASCII/Text file containing a simple list
rem  *             of the -PUNCH statements.
rem  *    Note 03: UNWRAPD3 may be multiple source members that are
rem  *             dynamically allocated based on the list of PUNCH
rem  *             statements that are identified in UNWRAPD2.
rem  * *******************************************************************
rem  * Step   1   Set the Environment...
rem  *
     set CmdName=TC02EXW3
     call ..\Env1BASE %CmdName%
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting CmdName %CmdName%"
:DeleteQSAM
     call SimoNOTE "StepInfo Delete previously created file"
     set UNWRAPD1=%BaseLib1%\DATA\FTP1\MFI01.SIMOTIME.RSEQ81.JCL.txt
     set UNWRAPD2=%BaseLib1%\DATA\WRK1\SIMOTIME.CODE.IEBPTPCH.txt
     set UNIPATH=%BaseLib1%\DATA\Wrk2
rem  *
rem  * *******************************************************************
rem  * Step   2   Edit input, create new output files...
rem  *
     call SimoNOTE "StepInfo Execute the UNWRAPC3 Program"
     run UNWRAPC3
     if not ERRORLEVEL = 0 set JobStatus=0010
     if not %JobStatus% == 0000 goto :EojNok
     call SimoNOTE "DataTake %UNWRAPD1%"
     call SimoNOTE "DataMake %UNWRAPD2%"
     call SimoNOTE "PathMake %UNIPATH%"
rem  *
:EojAok
     call SimoNOTE "Finished JobName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "ABENDING JobName %CmdName%, Job Status is %JobStatus%"
:End
     if not "%1" == "nopause" pause
